HAB4_IMAGE_VERIFIER(1)

NAME
ahab_image_verifier, hab4_image_verifier - parse and verify AHAB and HABv4 images for secure boot on NXP i.MX processors

SYNOPSIS

AHAB
    ahab_image_verifier [-h] [-b] image_file offset

HABv4
    hab4_image_verifier [-h] [-b] image_file offset

NOTE
This manpage is a short description of NXP ahab_image_verifier and hab4_image_verifier. For a detailed discussion refer to the Code Signing Tool User Guide UG10106, section 5.6 and 5.7 for usage, and to the High Assurance Boot Version 4 API Reference Manual RM00298 section 4 for structures contained in image_file. The user guide and the reference manual can be obtained from www.nxp.com and is excluded from Debian for copyright reasons.

The ahab_image_verifier and hab4_image_verifier tools are intended solely for experimentation and debugging purposes.

DESCRIPTION
ahab_image_verifier and hab4_image_verifier parse and verify an AHAB or HABv4 binary image_file, where image_file has previously been generated with the cst tool. It prints a readable representation of the IVT, HAB commands, the SRK table, signatures, and verification errors if any. offset specifies the offset in bytes from the beginning of image_file to the Image Vector Table (IVT). The IVT is the entry point for further processing.

OPTIONS

-h  Display a help message.

-v  Display version information.

EXIT STATUS
ahab_image_verifier and hab4_image_verifier exit with 0 if the image is valid, or 1 otherwise.

EXAMPLES
To parse and verify an ELE firmware container in an i.MX 95 A0 AHAB image, where the image starts immediately with an IVT

  ahab_image_verifier mx95a0-ahab-container.img 0

SEE ALSO
cst(1), hab_csf_parser